/// <reference types=".pnpm/highlight.js@11.9.0/node_modules/highlight.js" />
import { type SyntaxLine } from "./processAST";
declare const lowlight: {
    highlight: (language: string, value: string, options?: Readonly<import("lowlight").Options>) => import("hast").Root;
    highlightAuto: (value: string, options?: Readonly<import("lowlight").AutoOptions>) => import("hast").Root;
    listLanguages: () => string[];
    register: {
        (grammars: Readonly<Record<string, import("highlight.js").LanguageFn>>): undefined;
        (name: string, grammar: import("highlight.js").LanguageFn): undefined;
    };
    registerAlias: {
        (aliases: Readonly<Record<string, string | readonly string[]>>): undefined;
        (language: string, alias: string | readonly string[]): undefined;
    };
    registered: (aliasOrName: string) => boolean;
};
export type DiffAST = ReturnType<typeof lowlight.highlight>;
export type DiffHighlighter = {
    name: string;
    maxLineToIgnoreSyntax: number;
    setMaxLineToIgnoreSyntax: (v: number) => void;
    ignoreSyntaxHighlightList: (string | RegExp)[];
    setIgnoreSyntaxHighlightList: (v: (string | RegExp)[]) => void;
    getAST: (raw: string, fileName?: string, lang?: string) => DiffAST;
    processAST: (ast: DiffAST) => {
        syntaxFileObject: Record<number, SyntaxLine>;
        syntaxFileLineNumber: number;
    };
};
export { processAST } from "./processAST";
export declare const versions: string;
export declare const highlighter: DiffHighlighter;
//# sourceMappingURL=index.d.ts.map